<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwAlarmHandling: JCOP Framework Alarm Groups Screen</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8"></head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwAlarmHandlingGroupsScreen.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel allows you to view the alarms in your system, and to have a summarized view of alarms, grouped following your criteria.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">
          Compared to <a href = "fwAlarmHandlingScreen.htm">fwAlarmHandlingScreen.pnl</a>, this panel features the same alarm list. The alarm filtering is still available, using the usual button &quot;Modify Filter&quot;.
          Historical alarms filter is also available, inside the box &quot;Mode&quot;.</p>
		  The extra feature of this panel is mainly the Grouping: the alarms shown on the list are scanned and then a statistic is made:
        <ul>
          <li>How many alarms are visible</li>
          <li>How many of them have not been acknowledged</li>
          <li>How many of them are new</li>
          <li>Time of the last alarm</li>
        </ul>
		  The statistic is based on a criteria as specified by a user (i.e. take into account only alarms coming from &quot;system1&quot; and &quot;system2&quot;, and having dp name matching the pattern &quot;dp*&quot;...). This criteria is saved under a Group. You can create as many groups as you wish. Each group will appear as a separate box.</p>
        <p><strong>Groups</strong></p>
        <p>To create a group, click on the button &quot;Groups Setup&quot;. Please refer to <a href="fwAlarmHandlingGroupsConfiguration.htm">fwAlarmHandlingGroupsConfiguration</a>.</p>
        <p>When a new alert displayed in the alarm list matches the criteria of a group, the group will increment the &quot;New&quot; counter. The &quot;Unack&quot; counter will be incremented only if the alarm is acknowledgeable and not yet acknowledged. The &quot;New&quot; counter will be incremented; it will be decremented only after the operator opened the alarm help (right-click on the alarm line, click on &quot;Alarm Help&quot;).</p>
		<p>The alarm matching is done in sequence: if it does not match the first group criteria, the second group criteria is then analysed, and so on. An alarm that matches a group will be ignored by all the following groups.</p>
		<p>The colour of the group is inherited from the highest priority alarm. Among alarms of the same priority, the colour of the unacknowledged alarm is taken.</p>
        <p><strong>New alarms</strong></p>
        <p>Every time a new alarm appears, a bell is ringed (option - see <a href="fwAlarmHandlingGroupsConfiguration.htm">fwAlarmHandlingGroupsConfiguration</a> for more info).</p>
        <p>An alarm appearing on the alarms list is marked as New if the operator has never opened its help (right-click on the alarm line, click on &quot;Alarm Help&quot;).</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>None<br>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="543" height="279" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwAlarmHandlingGroupsScreen.JPG" alt="Panel screenshot" ></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td><p>&nbsp;        </p>
      </td>
      <td>&nbsp;</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
